dbXML API

## org.dbxml.core.corba
Class DatabaseManagerServant

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.DatabaseManagerPOA
                  |
                  +--org.dbxml.core.corba.DatabaseManagerServant

All Implemented Interfaces:
  DatabaseManagerOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class DatabaseManagerServant
extends DatabaseManagerPOA

DatabaseManager CORBA wrapper for org.dbxml.core.Database Provides administrative access to the Database For detailed documentation

See Also:
  `Database`

Constructor Summary
`DatabaseManagerServant(Database db, org.dbxml.server.Kernel kernel)`

Method Summary
`java.lang.String` `getName()`
`void` `remove()`
`void` `shutdown()`

Methods inherited from class org.dbxml.core.corba.db.DatabaseManagerPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseManagerServant

    public DatabaseManagerServant(Database db,
                                  org.dbxml.server.Kernel kernel)

Method Detail

### getName

    public java.lang.String getName()
                             throws APIException

### shutdown

    public void shutdown()

### remove

    public void remove()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved